import { LiveAnnouncer } from '@angular/cdk/a11y';
import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormBuilder, Validators } from '@angular/forms';
import { Router } from '@angular/router';
import { LehrlingService } from '../services/lehrling.service';
import { ListLehrlingeComponent } from '../list-lehrlinge/list-lehrlinge.component';

@Component({
  selector: 'app-edit-lehrlinge',
  templateUrl: './edit-lehrlinge.component.html',
  styleUrls: ['./edit-lehrlinge.component.css']
})
export class EditLehrlingeComponent implements OnInit {

  @Input() aktuellerlehrling: any;
  
  public lehrlinge: any;
  
  public editForm: any;

  geschlecht = [
    {value: 'M', viewValue: 'männlich'},
    {value: 'W', viewValue: 'weiblich'},
    {value: 'D', viewValue: 'divers'}
  ];

  constructor(private Lehrling: LehrlingService,
    private router: Router,
    private formbuilder: UntypedFormBuilder,
    private _liveAnnouncer: LiveAnnouncer,) {
    this.editForm = this.formbuilder.group({
        apprenticeid: [],
        firstname: ['', Validators.required],
        lastname: ['', Validators.required],
        groupid: [''],
        sex: [''],
        date_of_birth: [''],
        date_joined: [''],
        date_leave: ['']
      })
  }
  // Füllen des Formulars unter https://ciit.at/dynamische-formulare-mit-angular-reactive-forms/
  // nachlesen, da scheint es gut beschrieben zu sein. Sonst
  // https://www.angulararchitects.io/aktuelles/angular-tutorial-teil-2-eine-erste-anwendung-mit-komponenten-datenbindung-und-http-zugriff/

  ngOnInit(): void {

  }

  onEdit(): void {

  }
  onCancel(): void {
    this.router.navigate(['/list-lehrling']);
  }

}
