import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Kompetenz } from '../kompetenz';
import { environment } from '../../environments/environment';

// https://angular.de/artikel/angular-tutorial-deutsch/#komponenten-und-services
// Umgang mit Asynchronität


@Injectable({
  providedIn: 'root'
})

export class KompetenzService {

  private API_URL = environment.API_URL;
  public $url = this.API_URL + "/api/kompetenzen.php";
  strAnfrage?: string;
  constructor(private http: HttpClient) { }

  getKompetenzen() {
    return this.http.get<Kompetenz[]>(this.$url);
  }

  getSingleKompetenz(aktid: any) {
    this.strAnfrage= this.$url + "?id="+ aktid;
    return this.http.get<Kompetenz>(this.strAnfrage);
  }
}
